import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:hi_teacher_screenshot_listener/hi_teacher_screenshot_listener_method_channel.dart';

void main() {
  MethodChannelHiTeacherScreenshotListener platform = MethodChannelHiTeacherScreenshotListener();
  const MethodChannel channel = MethodChannel('hi_teacher_screenshot_listener');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await platform.getPlatformVersion(), '42');
  });
}
